package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.TaskFault;

/**
 * 任务故障关联Mapper接口
 *
 * @author tom
 * @date 2024-12-13
 */
public interface TaskFaultMapper {
    /**
     * 查询任务故障关联
     *
     * @param relId 任务故障关联主键
     * @return 任务故障关联
     */
    public TaskFault selectTaskFaultByRelId(Long relId);

    /**
     * 查询任务故障关联列表
     *
     * @param taskFault 任务故障关联
     * @return 任务故障关联集合
     */
    public List<TaskFault> selectTaskFaultList(TaskFault taskFault);

    /**
     * 新增任务故障关联
     *
     * @param taskFault 任务故障关联
     * @return 结果
     */
    public int insertTaskFault(TaskFault taskFault);

    /**
     * 修改任务故障关联
     *
     * @param taskFault 任务故障关联
     * @return 结果
     */
    public int updateTaskFault(TaskFault taskFault);

    /**
     * 删除任务故障关联
     *
     * @param relId 任务故障关联主键
     * @return 结果
     */
    public int deleteTaskFaultByRelId(Long relId);

    /**
     * 批量删除任务故障关联
     *
     * @param relIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTaskFaultByRelIds(Long[] relIds);
}
